aboutsummaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorEuAndreh <eu@euandre.org>2020-02-14 22:59:08 -0300
committerEuAndreh <eu@euandre.org>2020-02-14 22:59:08 -0300
commit8796f1ac4cba340633c67eb16e1a20b69c11e929 (patch)
treedcdee2b88e2ae2d33fb6f5ce7f2513127322de1c /scripts
parentOnly list posts for languages there are available (diff)
downloadeuandre.org-8796f1ac4cba340633c67eb16e1a20b69c11e929.tar.gz
euandre.org-8796f1ac4cba340633c67eb16e1a20b69c11e929.tar.xz
Fix call of tidy: run in quiet mode
Diffstat (limited to '')
-rwxr-xr-xscripts/tidy-content.sh7
1 files changed, 3 insertions, 4 deletions
diff --git a/scripts/tidy-content.sh b/scripts/tidy-content.sh
index 53533a1..e9bc577 100755
--- a/scripts/tidy-content.sh
+++ b/scripts/tidy-content.sh
@@ -27,10 +27,9 @@ INPUT_DIR="${1:-}"
format() {
FILE="${1}"
- # mktemp
- if ! tidy -utf8 -indent -modify "${FILE}" 2>> tmp-error.txt; then
- cat <(echo "${FILE}") tmp-error.txt >> errors.txt
- echo "Error in formatting '${FILE}'. See errors.txt for more detail."
+ echo "${FILE}" >&2
+ if ! tidy --quiet yes -utf8 -indent -modify "${FILE}"; then
+ echo "Error in formatting '${FILE}'. See errors.txt for more detail." >&2
exit 1
fi
}